commit: 95a4873daac0e8e715f0a95b8b487920a9dfa275
Author: Doug Freed <dwfreed <AT> mtu <DOT> edu>
AuthorDate: Thu Dec 8 18:38:18 2016 +0000
Commit: Andreas Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Sat Dec 10 17:19:46 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95a4873d
depend.apache.eclass: Replace build_with_use with has_version, disallow for
EAPIs without use dependencies
There are no EAPI=0 / EAPI=1 ebuilds in the tree that are affected.
eclass/depend.apache.eclass | 18 +++++++++++++++---
1 file changed, 15 insertions(+), 3 deletions(-)
diff --git a/eclass/depend.apache.eclass b/eclass/depend.apache.eclass
index b69c2ec..f0848a6 100644
--- a/eclass/depend.apache.eclass
+++ b/eclass/depend.apache.eclass
@@ -290,7 +290,13 @@ has_apache() {
has_apache_threads() {
debug-print-function $FUNCNAME $*
- if ! built_with_use www-servers/apache threads; then
+ case ${EAPI:-0} in
+ 0|1)
+ die "depend.apache.eclass: has_apache_threads is not
supported for EAPI=${EAPI:-0}"
+ ;;
+ esac
+
+ if ! has_version 'www-servers/apache[threads]'; then
return
fi
@@ -313,14 +319,20 @@ has_apache_threads() {
has_apache_threads_in() {
debug-print-function $FUNCNAME $*
- if ! built_with_use www-servers/apache threads; then
+ case ${EAPI:-0} in
+ 0|1)
+ die "depend.apache.eclass: has_apache_threads_in is not
supported for EAPI=${EAPI:-0}"
+ ;;
+ esac
+
+ if ! has_version 'www-servers/apache[threads]'; then
return
fi
local myforeign="$1"
local myflag="${2:-threads}"
- if ! built_with_use ${myforeign} ${myflag}; then
+ if ! has_version "${myforeign}[${myflag}]"; then
echo
eerror "You need to enable USE flag '${myflag}' in ${myforeign}
to"
eerror "build a thread-safe version of ${CATEGORY}/${PN} for
use"